import { HttpBackend } from '@angular/common/http';
import { InjectionToken, RendererFactory2 } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { IconDefinition, IconService } from '@ant-design/icons-angular';
export interface NzIconfontOption {
    scriptUrl: string;
}
export declare const NZ_ICONS: InjectionToken<{}>;
export declare const NZ_ICON_DEFAULT_TWOTONE_COLOR: InjectionToken<{}>;
export declare const DEFAULT_TWOTONE_COLOR = "#1890ff";
export declare const NZ_ICONS_USED_BY_ZORRO: IconDefinition[];
/**
 * It should be a global singleton, otherwise registered icons could not be found.
 */
export declare class NzIconService extends IconService {
    protected rendererFactory: RendererFactory2;
    protected sanitizer: DomSanitizer;
    protected handler: HttpBackend;
    protected document: any;
    private icons;
    private defaultColor;
    private iconfontCache;
    private warnedAboutAPI;
    private warnedAboutCross;
    private warnedAboutVertical;
    warnAPI(type: 'old' | 'cross' | 'vertical'): void;
    normalizeSvgElement(svg: SVGElement): void;
    fetchFromIconfont(opt: NzIconfontOption): void;
    createIconfontIcon(type: string): SVGElement;
    constructor(rendererFactory: RendererFactory2, sanitizer: DomSanitizer, handler: HttpBackend, document: any, icons: IconDefinition[], defaultColor: string);
}
