import { CdkConnectedOverlay, ConnectedOverlayPositionChange } from '@angular/cdk/overlay';
import { AfterContentInit, ChangeDetectorRef, ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, QueryList, SimpleChanges } from '@angular/core';
import { NzNoAnimationDirective } from '../core/no-animation/nz-no-animation.directive';
import { NzUpdateHostClassService } from '../core/services/update-host-class.service';
import { NzMenuItemDirective } from './nz-menu-item.directive';
import { NzMenuService } from './nz-menu.service';
import { NzSubmenuService } from './nz-submenu.service';
export declare class NzSubMenuComponent implements OnInit, OnDestroy, AfterContentInit, OnChanges {
    private elementRef;
    nzMenuService: NzMenuService;
    private cdr;
    nzSubmenuService: NzSubmenuService;
    private nzUpdateHostClassService;
    noAnimation: NzNoAnimationDirective;
    placement: string;
    triggerWidth: number;
    expandState: string;
    overlayPositions: import("@angular/cdk/overlay").ConnectionPositionPair[];
    private destroy$;
    private isChildMenuSelected;
    listOfNzSubMenuComponent: QueryList<NzSubMenuComponent>;
    listOfNzMenuItemDirective: QueryList<NzMenuItemDirective>;
    cdkConnectedOverlay: CdkConnectedOverlay;
    cdkOverlayOrigin: ElementRef;
    nzPaddingLeft: number;
    nzOpen: boolean;
    nzDisabled: boolean;
    readonly nzOpenChange: EventEmitter<boolean>;
    setOpenState(open: boolean): void;
    clickSubMenuTitle(): void;
    setMouseEnterState(value: boolean): void;
    setTriggerWidth(): void;
    onPositionChange(position: ConnectedOverlayPositionChange): void;
    setClassMap(): void;
    constructor(elementRef: ElementRef, nzMenuService: NzMenuService, cdr: ChangeDetectorRef, nzSubmenuService: NzSubmenuService, nzUpdateHostClassService: NzUpdateHostClassService, noAnimation: NzNoAnimationDirective);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
