import { Component } from '@angular/core';
import { NzMessageService } from 'ng-zorro-antd';
import { concatMap } from 'rxjs/operators';

@Component({
  selector: '<%= selector %>',
  <% if(inlineTemplate) { %>template: `
    <button nz-button [nzType]="'default'" (click)="startShowMessages()">Display a sequence of messages</button>
  `<% } else { %>templateUrl: './<%= dasherize(name) %>.component.html'<% } %>,
  styles  : []
})
export class <%= classify(name) %>Component {
  constructor(private message: NzMessageService) {
  }

  startShowMessages(): void {
    this.message.loading('Action in progress', { nzDuration: 2500 }).onClose.pipe(
      concatMap(() => this.message.success('Loading finished', { nzDuration: 2500 }).onClose),
      concatMap(() => this.message.info('Loading finished is finished', { nzDuration: 2500 }).onClose)
    ).subscribe(() => {
      console.log('All completed!');
    });
  }
}
